/**
 * @internal
 * Prefix for logger
 */
export declare const SYSTEM_HEALTH_ALERTS_SERVER_LOGGER_PREFIX = "SERVICE - ";
/**
 * @public
 * Events names
 */
export declare const SYSTEM_HEALTH_ALERTS_SERVER_EVENTS_NAMES: {
    readonly CHANGED: "changed";
    readonly UP: "up";
    readonly DOWN: "down";
    readonly UNKNOWN: "unknown";
    readonly CLOSE: "alert-close";
};
/**
 * @public
 * Default server status.
 */
export declare const SYSTEM_HEALTH_ALERTS_SERVER_DEFAULT_STATUS: "unknown";
/**
 * @public
 * Available status of server.
 */
export declare const SYSTEM_HEALTH_ALERTS_SERVER_STATUSES: {
    readonly UNKNOWN: "unknown";
    readonly UP: "restored";
    readonly DOWN: "failed";
};
/**
 * @internal
 * Default timeout for closing message
 */
export declare const SYSTEM_HEALTH_ALERTS_SERVER_CLOSE_TIMEOUT = 10000;
//# sourceMappingURL=main.config.d.ts.map