import { SNACKBAR_EVENTS_NAMES } from '@genesislcap/foundation-ui';
/**
 * @internal
 * Prefix for logger
 */
export const SYSTEM_HEALTH_ALERTS_SERVICE_LOGGER_PREFIX = 'SERVICE - ';
/**
 * @internal
 * Default timeout for closing message
 */
export const SYSTEM_HEALTH_ALERTS_SERVICE_CLOSE_TIMEOUT = 10000;
/**
 * @public
 * Events names
 */
export const SYSTEM_HEALTH_ALERTS_SERVICE_EVENTS_NAMES = {
    CHANGED: 'services-changed',
    FAIL: 'service-fail',
    RESTORED: 'service-restored',
    CLOSE_MESSAGE: SNACKBAR_EVENTS_NAMES.DISMISS,
    AUTO_CLOSE_MESSAGE: SNACKBAR_EVENTS_NAMES.AUTO_DISMISS,
};
